### Method

# Foundry GitVcs sign_bytes

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_git_vcs_sign_bytes (
      FoundryGitVcs* self,
      const char* signing_format,
      const char* signing_key,
      GBytes* bytes
    )

#### Description [src]

Signs `bytes` using the format and key specified.

Use `foundry_git_vcs_query_config()` to get the.

Available since: 1.1

#### Parameters

`signing_format`

  Type: `const char*`

  The format such as “gpg” or “ssh” such as from the config value for “gpg.format”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`signing_key`

  Type: `const char*`

  The signing key to use such as from the config value for “user.signingKey”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`bytes`

  Type: `GBytes`

  The bytes to sign.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a armor contained string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.